Bug 984945 - make rhevm-config to set TZ
make rhevm-config to set TZ
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.2
Assigned To: Martin Betak
Jiri Belka
: ZStream
Depends On: 974982
  Show dependency treegraph
Reported: 2013-07-16 08:36 EDT by Idith Tal-Kohen
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
engine-config can now be used to set values for the DefaultGeneralTimeZone and DefaultWindowsTimeZone options.
Story Points: ---
Clone Of: 974982
Last Closed: 2013-08-13 09:08:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15882 None None None Never

  None (edit)
Description Idith Tal-Kohen 2013-07-16 08:36:14 EDT
+++ This bug was initially created as a clone of Bug #974982 +++

Description of problem:
BZ972739 introduced/correct TZ handling but one cannot define it via rhevm-config without editing engine.properties.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rhevm-config -s DefaultWindowsTimeZone="Israel Standard Time"

Actual results:
not possible, rhevm-config does not know the key

Expected results:
push it to engine.properties so rhevm-config can be used to override value for TZs

Additional info:

--- Additional comment from Michal Skrivanek on 2013-06-19 05:18:32 EDT ---

trivial. And better be backported to 3.2.z

--- Additional comment from Michal Skrivanek on 2013-06-23 10:26:43 EDT ---

merged to master:

--- Additional comment from Jiri Belka on 2013-06-28 04:37:27 EDT ---

Ok, is3, included in /etc/ovirt-engine/engine-config/engine-config.properties
Comment 3 Jiri Belka 2013-07-29 04:43:23 EDT
ok, sf19.

But be aware changing TZ in VM properties after a VM is started does not work as one would expect. TZ is changed but the VM's qemu-kvm process still starts with same offset because it is taken from utc_diff column in vm_dynamic table. This is expected behavior for 3.2.

there's also little annoying issue about cached TZ value in client's browser - BZ989396.
Comment 4 errata-xmlrpc 2013-08-13 09:08:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.